#pragma once

#define OSC_CLOCK 11289600 //11.2896Mhz

/***********************************************
	Timer
***********************************************/
#define CONFIG_TIMER_PRESCALE	2
/*
APB : 48Mhz
PRESCALE 2: 	tick = 41 nsec, 	maxms 176093 ms
PRESCALE 8:		tick = 166 nsec, 	maxms 712964 ms
PRESCALE 32:	tick = 666 nsec, 	maxms 2860448 ms
PRESCALE 128:	tick = 2666 nsec, 	maxms 11450382 ms
PRESCALE 512:	tick = 10666 nsec,	maxms 45810121 ms
PRESCALE 8192:	tick = 170677 nsec, maxms 733052133 ms
PRESCALE 32758:	tick = 683060 nsec, maxms 0xffffffff ms
*/

/***********************************************
	Uart Config 
***********************************************/
//#define UART0_ENABLE
//#define UART1_ENABLE
//#define UART2_ENABLE
//#define UART3_ENABLE
//#define UART4_ENABLE
//#define UART5_ENABLE
#define UART6_ENABLE
#define UART7_ENABLE

#define UART_BUF_SIZE 4096
#define CONFIG_UART_RX_INTERRUPT
// #define CONFIG_UART_TX_INTERRUPT
#define DEBUG_CHANNEL 7
#define CONFIG_DEBUGPRINTF_ENABLE //debugprintf funcion , if enabled, 1kbyte need

/***********************************************
	I2S
***********************************************/
#define CONFIG_I2S_BUF_LIST_MAX 3 // One List size is fixed fo  (1152*4)byte
#define CONFIG_I2S_USE_DMA
/***********************************************
	Key Scan
***********************************************/
// you should set keyscaninit(KEYMODE_BOTH) to get key-sustain state.
#define CONFIG_KEY_SUSTAIN_SUPPORT 
//if key-scan mode is both and CONFIG_KEY_SUSTAIN_SUPPORT is defined, this timer used for key-sustain.
// Don't use timer 7.
#define CONFIG_KEY_SUSTAIN_TIMER 6 

/*********************************************
	NAND FLASH
*********************************************/
//use external sram for speed when write
//if not exist external sram , don't define it
//#define CONFIG_NAND_WRITE_BLOCK_CACHE 
// #define NAND_FLASH_K9F8G08U


/*********************************************
	FAT support media
*********************************************/
#define CONFIG_FAT_NAND_SUPPORT
#define CONFIG_FAT_SDCARD_SUPPORT

