#include "cantus.h"

#define AK4366_CTDI 1// P6.0
#define AK4366_CCLK 2// P6.1
#define AK4366_CSN 4// P6.2

#define DATA_HIGH	*R_P6oHIGH = AK4366_CTDI
#define DATA_LOW	*R_P6oLOW = AK4366_CTDI
#define CLOCK_HIGH	*R_P6oHIGH = AK4366_CCLK
#define CLOCK_LOW	*R_P6oLOW = AK4366_CCLK
#define CS_HIGH		*R_P6oHIGH = AK4366_CSN
#define CS_LOW		*R_P6oLOW = AK4366_CSN

void AK4366Set(unsigned char addr, unsigned char adata)
{
    unsigned char i;
    unsigned short ak4366_data=0;
    volatile unsigned int dtime;

    ak4366_data = ((unsigned short)(addr & 0x1f)<<8)|((unsigned short)adata);
    ak4366_data |= 0x6000;// 13, 14 High
    CS_LOW;
    for (i=0; i<16; i++)
    {
        if ((ak4366_data<<i) & (0x8000))
            DATA_HIGH;
        else
            DATA_LOW;
        *(volatile unsigned char *)0x8002360c =AK4366_CCLK;// clock low
        for (dtime=0; dtime<10000; dtime++);
        *(volatile unsigned char *)0x80023608=AK4366_CCLK;// clock high
        for (dtime=0; dtime<10000; dtime++);
    }
    CS_HIGH;
}

void AK4366Init()
{
	U32 org = *R_PAF6;
// PIO Init
    *R_PAF6 |= 0x3f; //PIO6.0 PIO6.1 PIO6.2
    *R_P6oDIR = 7;// output direct
    *R_P6oHIGH |= 7;//high

    AK4366Set(0x00, 0x1f);
    AK4366Set(0x01, 0x00);// oversample rate 64fs
    AK4366Set(0x02, 0x01);// de emphasis filter off
    AK4366Set(0x03, 0x00);//
    AK4366Set(0x04, 0xdf);// left DAC sound volume
    AK4366Set(0x05, 0xdf);// right DAC sound volume
    AK4366Set(0x06, 0x03);//
	*R_PAF6 = org;
}
